# Uses of Class
org.apache.lucene.search.AbstractKnnCollector

Packages that use AbstractKnnCollector
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.knn
Classes related to vector search: knn and vector fields.

## Uses of AbstractKnnCollector in org.apache.lucene.search

Subclasses of AbstractKnnCollector in org.apache.lucene.search
Modifier and Type
Class
Description
`class`
`TopKnnCollector`
TopKnnCollector is a specific KnnCollector.

## Uses of AbstractKnnCollector in org.apache.lucene.search.knn

Constructors in org.apache.lucene.search.knn with parameters of type AbstractKnnCollector
Modifier
Constructor
Description
``
`MultiLeafKnnCollector(int k, BlockingFloatHeap globalSimilarityQueue, AbstractKnnCollector subCollector)`
Create a new MultiLeafKnnCollector.